### Property

# Handy Flap:transition-type

since: 1.2

#### Declaration

    property transition-type: Handy.FlapTransitionType [ read, write ]

#### Description [src]

The type of animation used for reveal and fold transitions.

`HdyFlap:flap` is transparent by default, which means the content will be seen through it with `HDY_FLAP_TRANSITION_TYPE_OVER` transitions; add the `.background` style class to it if this is unwanted.

Type: | `HdyFlapTransitionType`
Available since: | 1.2

Default value | HDY_FLAP_TRANSITION_TYPE_OVER
Getter method | `hdy_flap_get_transition_type()`
Setter method | `hdy_flap_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no